summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* sys-devel/llvm: Bump to 5.0.0Michał Górny2017-09-082-0/+239
|
* sys-devel/llvm: Remove unused elibc_musl flagMichał Górny2017-09-082-2/+2
|
* sys-devel/llvm: Drop musl patches for 5.0+Leorize2017-08-302-6/+0
| | | | | | | No longer necessary, see: https://reviews.llvm.org/D33883 and https://reviews.llvm.org/D28476 Closes: https://github.com/gentoo/gentoo/pull/5555
* sys-devel/llvm: Include all experimental targets in -9999Michał Górny2017-08-151-2/+8
|
* sys-devel/llvm: Disable RISCV following upstreamMichał Górny2017-08-152-2/+2
| | | | | | The RISCV target is experimental and was only accidentally added to the main target list. Since it can no longer be enabled the usual way, remove it from the ebuilds for now.
* sys-devel/llvm: Clean old upMichał Górny2017-07-252-239/+0
|
* sys-devel/llvm: Adjust the slot for 9999Michał Górny2017-07-241-1/+1
|
* sys-devel/llvm: Branch for 5.0.0 releaseMichał Górny2017-07-241-0/+233
|
* sys-devel/llvm: Use https for llvm.orgMichał Górny2017-07-099-36/+36
|
* sys-devel/llvm: Do not append VCS revision to versionMichał Górny2017-07-091-0/+3
|
* sys-devel/llvm: Update upstream git URIMichał Górny2017-07-091-1/+1
|
* app-vim/llvm-vim -> sys-devel/llvm-commonMichał Górny2017-07-023-3/+3
| | | | | | | Rename llvm-vim package to llvm-common. It is going to be reused to include all the common files that are shared between multiple LLVM slots. This should also cut the pointless noise of our valuable users complaining that LLVM unconditionally depends on app-vim/* package.
* sys-devel/llvm: Bump to 4.0.1Michał Górny2017-06-272-0/+239
|
* sys-devel/llvm: Fix path to llvm-tblgen when cross compiling.Alexis Ballier2017-06-192-6/+8
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.2
* sys-devel/llvm: Move 3.9.1 patchset to tarballMichał Górny2017-06-0317-1716/+20
|
* sys-devel/llvm: Move 3.8.1 patchset to tarballMichał Górny2017-06-0317-2445/+27
|
* sys-devel/llvm: Move 3.7.1 patchset to tarballMichał Górny2017-06-0314-1035/+25
|
* sys-devel/llvm: Move 3.6.2 patchset to tarballMichał Górny2017-06-036-203/+10
|
* sys-devel/llvm: Move 3.5.2 patchset to tarballMichał Górny2017-06-035-162/+10
|
* sys-devel/llvm: Move 3.4.2 patchset to tarballMichał Górny2017-06-036-259/+9
|
* sys-devel/llvm: Drop 3.9.0 (in favor of 3.9.1)Michał Górny2017-06-037-548/+4
| | | | Closes: https://github.com/gentoo/gentoo/pull/4739
* sys-devel/llvm: Drop old revisionsMichał Górny2017-06-032-1098/+0
|
* sys-devel/llvm: Minimize 3.6 to be Darwin Prefix-compat onlyMichał Górny2017-06-034-595/+279
|
* sys-devel/llvm: Minimize 3.5 to be Darwin Prefix-compat onlyMichał Górny2017-06-033-551/+275
|
* sys-devel/llvm: Fix CHOST symlinks for 3.4.2-r100Michał Górny2017-06-031-2/+2
|
* sys-devel/llvm: Fix configure phase for 3.4.2-r100Michał Górny2017-06-031-8/+2
|
* sys-devel/llvm: add ~arm, bug #613666Markus Meier2017-05-171-1/+1
| | | | | Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="arm"
* sys-devel/llvm: Remove no-longer-useful check-reqsMichał Górny2017-04-152-86/+4
| | | | | | | Now that LLVM is split, the package is no longer horribly large in regular builds. The new sizes fit the usual limits and so do not need specific checks. Furthermore, maintaining all those values with different USE flags and compiler flags combinations.
* sys-devel/llvm: Fix passing -DNDEBUG to build, #614844Michał Górny2017-04-152-0/+4
|
* sys-devel/llvm: Include prebuilt manpages for 4.0.0 w/ USE=-docMichał Górny2017-04-062-1/+10
|
* sys-devel/llvm: Fix compressing manpagesMichał Górny2017-04-062-0/+4
|
* sys-devel/llvm: Include MANPATH in env.d fileMichał Górny2017-04-062-0/+2
| | | | | | | Include MANPATH in the env.d file so that 'man' can reliably find all the manpages. It seems that at least sys-apps/man-db can still find the manpages relative to the tools found in PATH but that is most likely unreliable.
* sys-devel/llvm: x86 stable wrt bug #607660Agostino Sarubbo2017-04-021-1/+1
| | | | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* sys-devel/llvm: amd64 stable wrt bug #607660Agostino Sarubbo2017-04-021-1/+1
| | | | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* sys-devel/llvm: Drop sparc keywordsMatt Turner2017-03-244-4/+4
|
* sys-devel/llvm: Drop ppc/ppc64 keywordsMatt Turner2017-03-244-4/+4
| | | | | Bug: https://bugs.gentoo.org/613732 Bug: https://bugs.gentoo.org/613734
* sys-devel/llvm: Bump to 4.0.0 finalMichał Górny2017-03-132-2/+2
|
* sys-devel/llvm: Remove USE=multitarget for 4+Michał Górny2017-03-072-6/+4
| | | | | | | | | | | | | | The USE=multitarget is used only by three packages in Gentoo: - old versions of dev-lang/rust that do not support new LLVM versions, - old versions of dev-python/llvmlite that do not support new LLVM versions, - sys-devel/clang metapackage. Since it is only an irritating REQUIRED_USE backwards compatbility knob, and it is no longer needed for dependencies, remove it.
* sys-devel/llvm: Bump to 4.0.0rc3Michał Górny2017-03-062-1/+1
|
* Drop $Id$ per council decision in bug #611234.Robin H. Johnson2017-02-2811-11/+0
| | | | Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
* sys-devel/llvm: add ~arm64, bug #591822Markus Meier2017-02-251-1/+1
| | | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --include-arches="arm64"
* sys-devel/llvm: Bump to 4.0.0.rc2Michał Górny2017-02-152-1/+1
|
* sys-devel/llvm: Re-introduce slottingMichał Górny2017-02-152-28/+52
|
* sys-devel/llvm: Remove CMAKE_BUILD_TYPE hack from llvm-config in 4.0+Michał Górny2017-02-111-17/+1
|
* sys-devel/llvm: Drop CMAKE_MIN_VERSION for 3.9Johannes Huber2017-02-073-9/+3
| | | | | | Value covered by eclass. Package-Manager: Portage-2.3.3, Repoman-2.3.1
* sys-devel/llvm: dropped ~x64-freebsdFabian Groffen2017-01-294-8/+8
| | | | Package-Manager: portage-2.3.3
* sys-devel/llvm: Remove old doc install codeMichał Górny2017-01-292-6/+0
|
* sys-devel/llvm: Drop unused NATIVE_LIBDIR variableMichał Górny2017-01-282-6/+0
|
* sys-devel/llvm: Switch 4.0.0rc1 to tarballs, add keywordsMichał Górny2017-01-242-7/+6
|
* sys-devel/llvm: Revert "Force x86 CHOST to i386-* [...]"Michał Górny2017-01-242-8/+2
| | | | Revert the CHOST adjustment since it solves the issue only partially.